Articles of Kompatibilität

Erstellen einer bestimmten Seite wordpress kompatibel, das ist kein Index

Als ich meine Website zum ersten Mal erstellte, habe ich das WordPress-PHP überschrieben und die Website im Wesentlichen statisch gemacht. Jetzt möchte ich eine bestimmte Seite wordpress-kompatibel machen (zB wenn ich Beiträge vom Dashboard mache, erscheinen sie auf der Seite), und es ist nicht der Index. Welche Dateien muss ich erneut herunterladen und was muss […]

Ist WordPress 3.3.1 mit PHP Version 5.2.17 kompatibel?

Genau das, was auf der Zunge liegt, habe ich nach einem Server-Upgrade ein paar Probleme mit meiner Seite und einige davon haben angefangen zu stolpern. Eine Menge von meinem Code hat auch aufgehört zu arbeiten, obwohl es nichts Besonderes macht, meist nur Schleifen und wenn ich mich nur frage, ob, weil viel davon abhängig ist […]

können wir den Wert der WordPress-Plug-in-Version ändern, um eine Warnung zu vermeiden?

Da Plugin-Updates möglicherweise einige unerwartete Probleme zu den Kompatibilitäten bringen. Ist es empfehlenswert, den Wert der Plugin-Version zu ändern, um das Update-System des WordPress-Plugins zu überlisten, wenn die Priorität darin besteht, die veralteten Warnungen des Plugins im WordPress-Backend auszuschalten?

Ersetzen von mysql_escape_string in einem benutzerdefinierten Plugin beim Wechsel zu PHP7

Ich habe ein speziell entwickeltes Plugin für eine WordPress-Website, die eine Online-Community auf php5.6 ist. Ich habe die Site ursprünglich nicht entwickelt, bin aber jetzt die Depotbank. Ich habe begrenzte Programmierkenntnisse. Mein Plugin hat ungefähr 6 Zeilen an verschiedenen Stellen: $title = mysql_escape_string(stripslashes($_POST[‘title’])); $content = mysql_escape_string(stripslashes($_POST[‘article’])); return mysql_escape_string(stripslashes($_POST[$value])); Ich muss zu PHP7 wechseln, aber das […]

JQuery-Plugin für WordPress-Theme installieren (Incredible)

Ok, hier ist das Plugin in Frage Ich versuche es auf der Homepage meines WordPress Theme zu integrieren (unglaublich gekauft von themeforest) Nach dem Lesen von WordPress Enqueue Script und all dem Zeug möchte ich es von Anfang an richtig machen. functions.php snippet: ich habe hier nur 2 Zeilen eingefügt, eine um mein Skript “contenthover” […]

Walker_Nav_Menu Ausnahme

Ich arbeite gerade an einer WordPress-Seite und wenn ich im Admin auf die Seite Darstellung> Menüs gehe, erhalte ich folgende Fehlermeldung: ErrorException: Runtime Notice: Declaration of Walker_Nav_Menu_Edit::start_lvl() should be compatible with that of Walker_Nav_Menu::start_lvl() in wp-admin/includes/nav-menu.php line 203 Es scheint eine Art PHP-Kompatibilitätsproblem zu sein. Ich benutze PHP 5.3.10 auf meinem lokalen Dev-Rechner. Was wäre […]